## org.eclipse.emf.cdo.common.io
Interface CDODataInput

All Superinterfaces:
  java.io.DataInput, org.eclipse.net4j.util.io.ExtendedDataInput

    public interface CDODataInput

extends org.eclipse.net4j.util.io.ExtendedDataInput

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.io.ExtendedDataInput
`org.eclipse.net4j.util.io.ExtendedDataInput.Delegating, org.eclipse.net4j.util.io.ExtendedDataInput.Stream`

Method Summary
`CDOClassifierRef` `readCDOClassifierRef()`
`org.eclipse.emf.ecore.EClassifier` `readCDOClassifierRefAndResolve()`
`CDOFeatureDelta` `readCDOFeatureDelta(org.eclipse.emf.ecore.EClass owner)`
`java.lang.Object` `readCDOFeatureValue(org.eclipse.emf.ecore.EStructuralFeature feature)`
`CDOID` `readCDOID()`
`CDOIDAndVersion` `readCDOIDAndVersion()`
`CDOIDMetaRange` `readCDOIDMetaRange()`
`CDOList` `readCDOList(org.eclipse.emf.ecore.EClass owner, org.eclipse.emf.ecore.EStructuralFeature feature)`
`org.eclipse.net4j.util.concurrent.RWLockManager.LockType` `readCDOLockType()`
`CDOPackageInfo` `readCDOPackageInfo()`
`CDOPackageUnit` `readCDOPackageUnit(CDOPackageRegistry packageRegistry)`
`CDOPackageUnit[]` `readCDOPackageUnits(CDOPackageRegistry packageRegistry)`
`CDOPackageUnit.Type` `readCDOPackageUnitType()`
`java.lang.String` `readCDOPackageURI()`
`CDORevision` `readCDORevision()`
`CDORevisionDelta` `readCDORevisionDelta()`
`java.lang.Object` `readCDORevisionOrPrimitive()` Read either a CDORevision or a primitive value.
`java.lang.Object` `readCDORevisionOrPrimitiveOrClassifier()` Read either a CDORevision, a primitive value or a EClass.
`CDOType` `readCDOType()`

Methods inherited from interface org.eclipse.net4j.util.io.ExtendedDataInput
`readByteArray, readObject, readObject, readObject, readString`

Methods inherited from interface java.io.DataInput
`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

Method Detail

### readCDOPackageUnit

    CDOPackageUnit readCDOPackageUnit(CDOPackageRegistry packageRegistry)
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### readCDOPackageUnits

    CDOPackageUnit[] readCDOPackageUnits(CDOPackageRegistry packageRegistry)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### readCDOPackageUnitType

    CDOPackageUnit.Type readCDOPackageUnitType()
                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### readCDOPackageInfo

    CDOPackageInfo readCDOPackageInfo()
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### readCDOClassifierRef

    CDOClassifierRef readCDOClassifierRef()
                                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### readCDOClassifierRefAndResolve

    org.eclipse.emf.ecore.EClassifier readCDOClassifierRefAndResolve()
                                                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### readCDOPackageURI

    java.lang.String readCDOPackageURI()
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### readCDOType

    CDOType readCDOType()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### readCDOID

    CDOID readCDOID()
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### readCDOIDAndVersion

    CDOIDAndVersion readCDOIDAndVersion()
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### readCDOIDMetaRange

    CDOIDMetaRange readCDOIDMetaRange()
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### readCDORevision

    CDORevision readCDORevision()
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### readCDOList

    CDOList readCDOList(org.eclipse.emf.ecore.EClass owner,
                        org.eclipse.emf.ecore.EStructuralFeature feature)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### readCDOFeatureValue

    java.lang.Object readCDOFeatureValue(org.eclipse.emf.ecore.EStructuralFeature feature)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### readCDORevisionDelta

    CDORevisionDelta readCDORevisionDelta()
                                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### readCDOFeatureDelta

    CDOFeatureDelta readCDOFeatureDelta(org.eclipse.emf.ecore.EClass owner)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### readCDORevisionOrPrimitive

    java.lang.Object readCDORevisionOrPrimitive()
                                                throws java.io.IOException

  Read either a CDORevision or a primitive value.

  Throws:
    `java.io.IOException`

### readCDORevisionOrPrimitiveOrClassifier

    java.lang.Object readCDORevisionOrPrimitiveOrClassifier()
                                                            throws java.io.IOException

  Read either a CDORevision, a primitive value or a EClass.

  Throws:
    `java.io.IOException`

### readCDOLockType

    org.eclipse.net4j.util.concurrent.RWLockManager.LockType readCDOLockType()
                                                                             throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.